%define build_dvi 1

%define major			4
%define major_evdocument	4
%define major_evview		3
%define api			3.0
%define gir_major		3.0

%define devname			%mklibname -d %{name}
%define libname_evdocument	%mklibname evdocument 3 %{major_evdocument}
%define libname_evview		%mklibname evview 3 %{major_evview}
%define girname			%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME Document viewer
Name:		evince
Version:	3.7.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(cairo-pdf)
BuildRequires:	pkgconfig(cairo-ps)
BuildRequires:	pkgconfig(ddjvuapi) >= 3.5.17
BuildRequires:	pkgconfig(gail-3.0) >= 3.0.2
BuildRequires:	pkgconfig(gio-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gnome-icon-theme) >= 2.17.1
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.22.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.6
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(gtk+-unix-print-3.0) >= 3.0.2
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libgxps) >= 0.2.0
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.91.4
BuildRequires:	pkgconfig(libspectre) >= 0.2.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(poppler-glib) >= 0.18.0
BuildRequires:	pkgconfig(sm) >= 1.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	tiff-devel
BuildRequires:	ghostscript
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-icon-theme
BuildRequires:	gtk-doc
Requires:	ghostscript
Requires:	ghostscript-module-X

%description
Evince is the GNOME Document viewer. It supports PDF, PostScript and
other formats.
To view .dvi files as produced by TeX in evince, 
install the %{name}-dvi package.

%if %build_dvi
%package dvi
Summary:	TeX DVI document support for evince
Group:		Graphical desktop/GNOME
BuildRequires:	kpathsea-devel
#gw just like xdvi, needed for rendering the fonts
Requires:	texlive
Requires:	texlive-texmf
Requires:	%{name} = %{version}-%{release}

%description dvi
This package adds support for displaying .dvi files to evince. These files are 
produced by TeX, often using a macro package like LaTeX.
%endif

%package -n %{libname_evdocument}
Group:		System/Libraries
Summary:	GNOME Document viewer library
Obsoletes:	%{mklibname %{name} 3} < 3.3.92

%description -n %{libname_evdocument}
This is the GNOME Document viewer library, the shared parts of evince.

%package -n %{libname_evview}
Group:		System/Libraries
Summary:	GNOME Document viewer library

%description -n %{libname_evview}
This is the GNOME Document viewer library, the shared parts of evince.

%package -n %{devname}
Group:		Development/C
Summary:	GNOME Document viewer library
Requires:	%{libname_evdocument} = %{version}-%{release}
Requires:	%{libname_evview} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This is the GNOME Document viewer library, the shared parts of evince.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_evdocument} = %{version}-%{release}
Requires:	%{libname_evview} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-tiff \
	--enable-djvu \
	--enable-comics \
%if %build_dvi
	--enable-dvi \
%endif
	--disable-gtk-doc \
	--enable-introspection \
	--disable-static \
	--disable-scrollkeeper \
	--disable-schemas-compile

%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --with-help

find %{buildroot} -name "*.la" -delete

%files -f %name.lang
%doc NEWS AUTHORS TODO
%{_bindir}/*
%{_datadir}/evince
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/evince*
%{_datadir}/glib-2.0/schemas/org.gnome.Evince.gschema.xml
%{_datadir}/GConf/gsettings/evince.convert
%{_mandir}/man1/evince.1*
%{_libdir}/nautilus/extensions-3.0/libevince*so*
%dir %{_libdir}/evince/%{major}/
%dir %{_libdir}/evince/%{major}/backends
%{_libdir}/evince/%{major}/backends/libcomicsdocument.so
%{_libdir}/evince/%{major}/backends/comicsdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libdjvudocument.so
%{_libdir}/evince/%{major}/backends/djvudocument.evince-backend
%{_libdir}/evince/%{major}/backends/libpdfdocument.so
%{_libdir}/evince/%{major}/backends/pdfdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libpsdocument.so
%{_libdir}/evince/%{major}/backends/psdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libtiffdocument.so
%{_libdir}/evince/%{major}/backends/tiffdocument.evince-backend
%{_libdir}/evince/%{major}/backends/libxpsdocument.so
%{_libdir}/evince/%{major}/backends/xpsdocument.evince-backend
%{_libexecdir}/evinced
%{_datadir}/dbus-1/services/org.gnome.evince.Daemon.service
%{_datadir}/thumbnailers/evince.thumbnailer

%if %build_dvi
%files dvi
%{_libdir}/evince/%{major}/backends/libdvidocument.so
%{_libdir}/evince/%{major}/backends/dvidocument.evince-backend
%endif

%files -n %{libname_evdocument}
%{_libdir}/libevdocument3.so.%{major_evdocument}*

%files -n %{libname_evview}
%{_libdir}/libevview3.so.%{major_evview}*

%files -n %{girname}
%{_libdir}/girepository-1.0/EvinceDocument-%{gir_major}.typelib
%{_libdir}/girepository-1.0/EvinceView-%{gir_major}.typelib

%files -n %{devname}
%doc ChangeLog
%{_datadir}/gtk-doc/html/evince
%{_datadir}/gtk-doc/html/libevdocument-%{api}
%{_datadir}/gtk-doc/html/libevview-%{api}
%{_libdir}/libevdocument3.so
%{_libdir}/libevview3.so
%{_libdir}/pkgconfig/evince*pc
%{_includedir}/evince*
%{_datadir}/gir-1.0/EvinceDocument-%{gir_major}.gir
%{_datadir}/gir-1.0/EvinceView-%{gir_major}.gir


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.7.1-2.mga3
+ Revision: 349802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 vaci0 <vaci0> 3.7.1-1.mga3
+ Revision: 338403
- Updated new version 3.7.1
- Fix License tag to GPLv2+

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306170
- new version 3.6.1

* Wed Oct 10 2012 tv <tv> 3.6.0-2.mga3
+ Revision: 304172
- rebuild with new poppler (fix gnome#617946

* Sun Sep 30 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 300873
- do not regenerate doc

  + ovitters <ovitters>
    - new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295489
- new version 3.5.92

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282912
- update file list
- new version 3.5.90

  + tv <tv>
    - BR itstool

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279805
- new version 3.5.5

* Thu Jul 19 2012 fwang <fwang> 3.5.4-1.mga3
+ Revision: 272461
- new version 3.5.4

* Sat Jul 14 2012 wally <wally> 3.5.3-1.mga3
+ Revision: 270765
- add a patch from upstream git to fix the build

  + ovitters <ovitters>
    - new version 3.5.3

* Thu Jun 14 2012 juancho <juancho> 3.5.2-1.mga3
+ Revision: 260677
- Fixed lib major
- Updated to 3.5.2

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226568
- new version 3.4.0

* Thu Mar 22 2012 ovitters <ovitters> 3.3.92-2.mga2
+ Revision: 225752
- improve Obsoletes on old library

* Thu Mar 22 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225747
- put libevdocument3 lib into own package
- split evview library into another package
- increase major
- new version 3.3.92

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212016
- new version

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205461
- new version 3.3.5

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 196962
- new version
- clean spec

* Fri Dec 23 2011 fwang <fwang> 3.3.3.1-2.mga2
+ Revision: 186515
- rebuild for new libtiff

* Thu Dec 22 2011 wally <wally> 3.3.3.1-1.mga2
+ Revision: 186010
- new version 3.3.3.1
- drop P0, fixed upstream

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184547
- new version 3.3.3
- add P0 to fix linking

* Wed Nov 23 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 171136
- update file list
- br gxps

* Wed Nov 23 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 171105
- new version 3.3.2

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155852
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149358
- new version 3.2.0

* Wed Aug 31 2011 fwang <fwang> 3.1.90.1-1.mga2
+ Revision: 137021
- new version 3.1.90.1

* Mon Aug 29 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136180
- fix linkage
- fix find dir
- new version 3.1.90

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.2-3.mga2
+ Revision: 119861
- Rebuild against new rpm-setup

* Wed Jul 06 2011 cjw <cjw> 3.1.2-2.mga2
+ Revision: 119125
- enable TeX DVI document support
- add dvi subpackage so base package does not depend on texlive

* Sun Jun 26 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 114165
- new version 3.1.2
- use tar.xz source
- enable introspection
- create a subpackage for gir .typelibs
- disable static build
- clean .spec a bit

* Fri Jun 24 2011 cjw <cjw> 3.0.2-1.mga2
+ Revision: 113252
- 3.0.2
- drop patches, fixed upstream

* Thu May 12 2011 pterjan <pterjan> 2.32.0-4.mga1
+ Revision: 97388
- Add few fixes from 2-32 git branch (CVE-2010-2640, CVE-2010-2641, CVE-2010-2642, CVE-2010-2643)
- Add patch from 3-0 branch to support new poppler api

* Thu Apr 07 2011 tv <tv> 2.32.0-3.mga1
+ Revision: 81612
- fix filelist when disabling DVI support
- disable DVI support with texlive (missing kpathsea lib)
- tetex -> texlive

* Sun Jan 23 2011 pterjan <pterjan> 2.32.0-2.mga1
+ Revision: 35328
- BuildRequires gnome-icon-theme
- Drop old scriptlets
- imported package evince

